From 75fd220d5f4fcf8198b7ad9cf5f6e88fb2a61b9e Mon Sep 17 00:00:00 2001
From: "A. Maitland Bottoms" <bottoms@debian.org>
Date: Sun, 17 Jul 2022 17:12:43 -0400
Subject: [PATCH 2/4] fsk fft api

install fmfsk.h and use kiss_fft.h for fmfsk.c
---
 src/CMakeLists.txt | 1 +
 src/fsk.h          | 2 +-
 2 files changed, 2 insertions(+), 1 deletion(-)

diff --git a/src/CMakeLists.txt b/src/CMakeLists.txt
index cb0990bc..abc76cd5 100644
--- a/src/CMakeLists.txt
+++ b/src/CMakeLists.txt
@@ -221,6 +221,7 @@ set(CODEC2_PUBLIC_HEADERS
     codec2_cohpsk.h
     codec2_fm.h
     codec2_ofdm.h
+    fmfsk.h
     fsk.h
     codec2_fifo.h
     comp.h
diff --git a/src/fsk.h b/src/fsk.h
index 046fa7a3..38bafb82 100644
--- a/src/fsk.h
+++ b/src/fsk.h
@@ -31,7 +31,7 @@
 
 #include <stdint.h>
 #include "comp.h"
-#include "kiss_fftr.h"
+#include "kiss_fft.h"
 #include "modem_stats.h"
 
 #define MODE_2FSK 2
-- 
2.35.1

